# Gimp.Image.prototype.get_parasite_list

    function get_parasite_list(): Array(String) {
        // Gjs wrapper for gimp_image_get_parasite_list()
    }

List all parasites.

Returns a list of the names of all currently attached parasites. These names can later be used to get the actual Gimp.Parasite with Gimp.Image.prototype.get_parasite when needed.

Since 2.8

Returns

  The names of currently attached parasites. The returned value must be freed with g_strfreev().